Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.location.csv
Class CSVLinkHandler.LinkDecoder

    java.lang.Object
      com.bbn.openmap.layer.location.csv.CSVLinkHandler.LinkDecoder

All Implemented Interfaces:
  CSVLocationHandler.TokenDecoder

Enclosing class:
  CSVLinkHandler

public class CSVLinkHandler.LinkDecoder
extends java.lang.Object
implements CSVLocationHandler.TokenDecoder

Constructor Summary
`CSVLinkHandler.LinkDecoder()`

Method Summary
`void` | `createAndAddObjectFromTokens(DataOrganizer organizer)`
`void` | `handleToken(java.lang.Object token, int i)`
`void` | `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSVLinkHandler.LinkDecoder

    public CSVLinkHandler.LinkDecoder()

Method Detail

### reset

    public void reset()

### handleToken

    public void handleToken(java.lang.Object token,
                            int i)

  Specified by:
    `handleToken` in interface `CSVLocationHandler.TokenDecoder`

### createAndAddObjectFromTokens

    public void createAndAddObjectFromTokens(DataOrganizer organizer)

  Specified by:
    `createAndAddObjectFromTokens` in interface `CSVLocationHandler.TokenDecoder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details